import { Base, Stream, Type } from "igniteui-angular-core";
import { BinaryReader } from "igniteui-angular-core";
import { BinaryWriter } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CryptoUtilities extends Base {
    static $t: Type;
    static d<T>($t: Type, a: T[], b: T): void;
    static c(a: number[]): string;
    static a(a: BinaryReader): string;
    static g(a: string, b: BinaryWriter): void;
    static b(a: BinaryReader): string;
    static h(a: string, b: BinaryWriter): void;
    static e(a: Stream, b: number): void;
    static f(a: Stream, b: number): void;
}
